com.amazonaws.jmespath

## Class OpLessThanOrEqualTo

- java.lang.Object
- - com.amazonaws.jmespath.Comparator
  - - com.amazonaws.jmespath.NumericComparator
    - - com.amazonaws.jmespath.OpLessThanOrEqualTo

All Implemented Interfaces:
  JmesPathExpression

    public class OpLessThanOrEqualTo
    extends NumericComparator

Implements less-than-or-equal-to comparison on Numbers

### Field Summary

### Fields inherited from class com.amazonaws.jmespath.Comparator

`lhsExpr, rhsExpr`

### Constructor Summary

Constructors
Constructor and Description
`OpLessThanOrEqualTo(JmesPathExpression lhsExpr, JmesPathExpression rhsExpr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<Input,Output> Output` `accept(JmesPathVisitor<Input,Output> visitor, Input input)` Delegates to either the CodeGen visitor(Comparator) or Evaluation visitor(Comparator) based on the type of JmesPath visitor
`boolean` `matches(BigDecimal lhs, BigDecimal rhs)` Checks whether lhs is less than or equal to rhs

### Methods inherited from class com.amazonaws.jmespath.NumericComparator

`matches`

### Methods inherited from class com.amazonaws.jmespath.Comparator

`getLhsExpr, getRhsExpr`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpLessThanOrEqualTo

    public OpLessThanOrEqualTo(JmesPathExpression lhsExpr,
                               JmesPathExpression rhsExpr)

### Method Detail

#### accept

    public <Input,Output> Output accept(JmesPathVisitor<Input,Output> visitor,
                                        Input input)
                                 throws InvalidTypeException

Delegates to either the CodeGen visitor(Comparator) or Evaluation visitor(Comparator) based on the type of JmesPath visitor

Type Parameters:
  `Input` - Input type for the visitor CodeGen visitor: Void Evaluation visitor: JsonNode
  `Output` - Output type for the visitor CodeGen visitor: String Evaluation visitor: JsonNode
Parameters:
  `visitor` - CodeGen visitor or Evaluation visitor
  `input` - Input expression that needs to be evaluated
Returns:
  Corresponding output is returned. Evaluated String in the case of CodeGen visitor or an evaluated JsonNode in the case of Evaluation visitor
Throws:
  `InvalidTypeException`

#### matches

    public boolean matches(BigDecimal lhs,
                           BigDecimal rhs)

Checks whether lhs is less than or equal to rhs

Specified by:
  `matches` in class `NumericComparator`
Parameters:
  `lhs` - Lhs number
  `rhs` - Rhs number
Returns:
  True if lhs is less than or equal to rhs; False otherwise